/// <reference types="hapi__joi" />
import Joi from "@hapi/joi";
export interface IDynamoDataCoreEntityModel {
    id: string;
    featurePartition: string;
    lastModifierUserId?: string;
    lastModifiedDate?: string;
    creatorUserId?: string;
    createdAtDate?: string;
    deleterUserId?: string;
    isDeleted?: boolean;
}
export declare const coreSchemaDefinition: {
    readonly id: Joi.StringSchema;
    readonly featurePartition: Joi.StringSchema;
    readonly lastModifierUserId: Joi.StringSchema;
    readonly lastModifiedDate: Joi.StringSchema;
    readonly creatorUserId: Joi.StringSchema;
    readonly createdAtDate: Joi.StringSchema;
    readonly deleterUserId: Joi.StringSchema;
    readonly isDeleted: Joi.BooleanSchema;
};
